For the complete documentation index, see llms.txt. This page is also available as Markdown.

Activate template

Activates a notification template.

post

Activates the template, making it available for sending notifications. Only active templates can be used.

Path parameters
idstringRequired

A notification template ID.

Responses
200

OK

application/json

Represents a reusable template that can be used to generate messages.

idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description of this template.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this template was last used to send a notification.

statusstringOptional

Gets or sets the current status of the template.

externalIdstring · nullableOptional

Gets or sets an external identifier for integration with external systems.

post/public/v1/notifications/templates/{id}/activate
POST /public/v1/notifications/templates/{id}/activate HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "activated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "deleted": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "disabled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "category": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "description": "text",
    "lastUsed": "2026-01-01T00:00:00.000Z"
  },
  "criteria": {
    "accountTypes": [
      "text"
    ],
    "filterCondition": "text",
    "objectType": "text",
    "recipients": {
      "selector": "text"
    }
  },
  "defaultVariant": {
    "id": "text",
    "revision": 1,
    "default": true,
    "languageCode": "text",
    "status": "text"
  },
  "description": "text",
  "lastUsed": "2026-01-01T00:00:00.000Z",
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "statistics": {
    "month": 1,
    "today": 1,
    "week": 1
  },
  "status": "text",
  "variants": [
    {
      "id": "text",
      "revision": 1,
      "default": true,
      "languageCode": "text",
      "status": "text"
    }
  ],
  "externalId": "text"
}

Last updated

Was this helpful?